Return one Global API Key for Ops Manager using the unique identifier for that Key.
Base URL: https://{OPSMANAGER-HOST}:{PORT}/api/public/v1.0
Resource
GET /admin/apiKeys/{API-KEY-ID}Required Roles
Requires that the API Key calling this endpoint have the Global Read Only role.
Request Parameters
Request Path Parameters
Name | Type | Description |
|---|---|---|
| string | Unique identifier for the Global API Key you want to retrieve. |
Request Query Parameters
The following query parameters are optional:
Name | Type | Necessity | Description | Default |
|---|---|---|---|---|
pretty | boolean | Optional | Flag indicating whether the response body is in a prettyprint format. |
|
envelope | boolean | Optional | Flag that indicates whether to wrap the response in an envelope. Some API clients cannot access the HTTP response headers or status code. To remediate this, set envelope=true in the query. For endpoints that return one result, the response body includes:
|
|
Request Body Parameters
This endpoint doesn't use HTTP request body parameters.
Response
Response Elements
Name | Type | Description |
|---|---|---|
| string | Description of this Global API Key. |
| string | Unique identifier for this Global API Key. |
| string | An array of documents that represents a link to one or more sub-resources or related resources such as list pagination. See Linking for more information. |
| string | Redacted private key for this Global API Key. |
| string | Public key for this Global API Key. |
| object array | Roles that this Global API Key has. This array returns all the Global roles the user has in Ops Manager. |
| string | Name of the role. This resource returns all the roles the user has in Ops Manager. Possible values are:
|
Example Request
curl --user "{PUBLIC-KEY}:{PRIVATE-KEY}" --digest \ --header "Accept: application/json" \ --include \ --request GET "https://<OpsManagerHost>:<Port>/api/public/v1.0/admin/apiKeys/{API-KEY-ID}?pretty=true"Example Response
Response Header
HTTP/1.1 401 UnauthorizedContent-Type: application/json;charset=ISO-8859-1Date: {dateInUnixFormat}WWW-Authenticate: Digest realm="MMS Public API", domain="", nonce="{nonce}", algorithm=MD5, op="auth", stale=falseContent-Length: {requestLengthInBytes}Connection: keep-aliveHTTP/1.1 200 OKVary: Accept-EncodingContent-Type: application/jsonStrict-Transport-Security: max-age=300Date: {dateInUnixFormat}Connection: keep-aliveContent-Length: {requestLengthInBytes}X-MongoDB-Service-Version: gitHash={gitHash}; versionString={ApplicationVersion}Response Body
{ "desc" : "Test Global API Key 1", "id" : "{API-KEY-ID}", "links" : [ { "href" : "https://<OpsManagerHost>:<Port>/api/public/v1.0/orgs/null/apiKeys/{API-KEY-ID}", "rel" : "self" } ], "privateKey" : "********-****-****-54d9792d337d", "publicKey" : "zrefxaep", "roles" : [ { "roleName" : "GLOBAL_READ_ONLY" }, { "roleName" : "GLOBAL_BILLING_ADMIN" } ]}